using System;
using System.ComponentModel;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml.Serialization;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.WebPartPages;
using System.Web.UI.HtmlControls;

namespace WebPartTeeChart
{
	/// <summary>
	/// Description for WebPart1.
	/// </summary>
  [DefaultProperty("Text"),
  ToolboxData("<{0}:WebChartPart runat=server></{0}:WebChartPart>"),
  XmlRoot(Namespace="WebPartTeeChart")]
  public class WebChartPart : Microsoft.SharePoint.WebPartPages.WebPart
  {
    private HtmlButton oButton;
    private HtmlImage oImage;
    private HtmlSelect oSelect;
    private string seriesType="Bar";
    private const string defaultText = "";
    private string text = defaultText;

    [Browsable(true),
    Category("Miscellaneous"),
    DefaultValue(defaultText),
    WebPartStorage(Storage.Personal),
    FriendlyName("Text"),
    Description("Text Property")]
    public string Text
    {
      get
      {
        return text;
      }

      set
      {
        text = value;
      }
    }

    protected override void CreateChildControls()
    {
      oSelect = new HtmlSelect();

      oSelect.Items.Add("Bar");
      oSelect.Items.Add("Area");
      oSelect.Items.Add("Point");
      oSelect.Items.Add("Surface");
      Controls.Add(oSelect);

      oButton = new HtmlButton();
      oButton.InnerText = "Run";
      oButton.ServerClick += new EventHandler(oButton_click);
      Controls.Add(oButton);

      oImage= new HtmlImage();
      Controls.Add(oImage);
      oImage.Src=urlStr + seriesType + "&view=True";
      oImage.Align="center";
    }

    private string urlStr=@"http://localhost:7130/TeeChartForNET/" + 
                           "ASPStream/ShowSeries.aspx?seriestype="; 

    public void oButton_click(object sender, EventArgs e)
    {
      seriesType = oSelect.Items[oSelect.SelectedIndex].ToString(); 
      oImage.Src = urlStr + seriesType + "&view=True";
      this.Title = oSelect.Items[oSelect.SelectedIndex].ToString()+
                   " Series type";
    }
		
		/// <summary>
		///	This method gets the custom tool parts for this Web Part by overriding the
		///	GetToolParts method of the WebPart base class. You must implement
		///	custom tool parts in a separate class that derives from 
		///	Microsoft.SharePoint.WebPartPages.ToolPart. 
		///	</summary>
		///<returns>An array of references to ToolPart objects.</returns>
//		public override ToolPart[] GetToolParts()
//		{
//			ToolPart[] toolparts = new ToolPart[2];
//			WebPartToolPart wptp = new WebPartToolPart();
//			CustomPropertyToolPart custom = new CustomPropertyToolPart();
//			toolparts[0] = wptp;
//			toolparts[1] = custom;
//			return toolparts;
//		}
		
		/// <summary>
		/// Render this Web Part to the output parameter specified.
		/// </summary>
		/// <param name="output"> The HTML writer to write out to </param>
		protected override void RenderWebPart(HtmlTextWriter output)
		{
      oImage.RenderControl(output);
      output.WriteLine("<BR>");
      oButton.RenderControl(output);
      oSelect.RenderControl(output);
		}
	}
}
